Subject: RE: Summary: Avoiding interface failure upon DAD failure

From: "Bound, Jim" <[email-masked]>
Date: Fri, 16 May 2003 18:39:06 -0400

This is good below yes.  Good job.
/jim

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]] 
> Sent: Thursday, May 15, 2003 5:26 PM
> To: Bound, Jim
> Cc: [email-masked]
> Subject: Re: Summary: Avoiding interface failure upon DAD failure
> 
> 
> Bound, Jim wrote:
> > Hi Jari,
> > 
> > Charlie and I have been having an offline discussion.  We 
> don't fully 
> > agree but we agree on a lot more :--)  And reading the mail.
> > 
> > Here is wild suggestion and close to what you first proposed with 
> > restriction clause.
> > 
> > In the spec:
> > 
> > MAY use 3041 in DAD failure.
> > 
> > But I would suggest wording that this is for the specific case of a 
> > "mobile node" moving.
> 
> Well, perhaps this could be one way forward.
> 
> But the above e-mail and some private conversions with other 
> folks have alerted me to the fact that the original text that 
> we proposed was unclear. It seems that many people 
> interpreted it as "IF you run into a DAD failure, THEN you 
> MAY start to use temporary addresses". However, this was not 
> the intention. What we wanted to say was "You MAY use 
> temporary addresses all of the time".
> 
> Clarifying that might be another way forward. I do like
> your idea of binding this to movements only, perhaps that
> could also be done. How about:
> 
> 7.6 Failures from Duplicate Addresses
> 
>     Upon failing Duplicate Address Detection, [13] requires 
> IPv6 nodes to
>     stop using the address and wait for manual configuration 
> of a new address.
>     In addition, if the failed address was a link-local address formed
>     from an interface identifier, the interface should be disabled.
> 
>     Mobile nodes that wish to avoid a disabled link MAY avoid the use
>     of interface identifiers when generating link-local addresses
>     (and subsequent global addresses). If a collision is detected for
>     such an address, it is no longer used but the status of 
> the interface
>     stays unchanged.
> 
>     Instead, mobile nodes MAY use temporary link-local addresses by
>     generating a random interface identifier and using it for 
> assigning
>     itself a link-local address and derived care-of addresses 
> for use on
>     this link. In order to do this, the mobile node applies 
> to the link-local
>     address the procedure described in RFC 3041 [18] for global
>     addresses. Implementations SHOULD NOT make more than 5 consecutive
>     attempts to generate such addresses and test them through 
> Duplicate
>     Address Detection. If after these attempts no unique address was
>     found, the mobile node SHOULD log a system error and give up
>     attempting to find a link-local address on that interface, until
>     the node moves to a new link.
> 
> --Jari
> 
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------